Index: trunk/source/processes/electromagnetic/highenergy/include/G4AnnihiToMuPair.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4AnnihiToMuPair.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4AnnihiToMuPair.hh	(revision 961)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AnnihiToMuPair.hh,v 1.2 2006/06/29 19:32:12 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //         ------------ G4AnnihiToMuPair physics process ------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4BetheBlochNoDeltaModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4BetheBlochNoDeltaModel.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4BetheBlochNoDeltaModel.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BetheBlochNoDeltaModel.hh,v 1.7 2006/06/29 19:32:14 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4BetheBlochNoDeltaModel.hh,v 1.8 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -68,9 +68,9 @@
 					G4double cutEnergy);
 
-  virtual G4double ComputeCrossSectionPerElectron(
-					const G4ParticleDefinition*,
-					G4double kineticEnergy,
-					G4double cutEnergy,
-					G4double maxEnergy);
+  virtual G4double CrossSectionPerVolume(const G4Material*,
+					 const G4ParticleDefinition*,
+					 G4double kineticEnergy,
+					 G4double cutEnergy,
+					 G4double maxEnergy);
 
 private:
@@ -84,21 +84,3 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-inline G4double G4BetheBlochNoDeltaModel::ComputeDEDXPerVolume(
-                            const G4Material* material,
-			    const G4ParticleDefinition* pd,
-                            G4double kinEnergy, G4double)
-{
-  G4double dedx = G4BetheBlochModel::ComputeDEDXPerVolume(material, pd, kinEnergy, DBL_MAX);
-  return dedx;
-}
-
-inline G4double G4BetheBlochNoDeltaModel::ComputeCrossSectionPerElectron(
-			    const G4ParticleDefinition*,
-			    G4double, G4double, G4double)
-{
-  return 0.0;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
 #endif
Index: trunk/source/processes/electromagnetic/highenergy/include/G4BraggNoDeltaModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4BraggNoDeltaModel.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4BraggNoDeltaModel.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BraggNoDeltaModel.hh,v 1.6 2006/06/29 19:32:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4BraggNoDeltaModel.hh,v 1.7 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -68,10 +68,9 @@
 					G4double cutEnergy);
 
-  virtual G4double ComputeCrossSectionPerElectron(
+  virtual G4double CrossSectionPerVolume(const G4Material*,
 					 const G4ParticleDefinition*,
 					 G4double kineticEnergy,
 					 G4double cutEnergy,
 					 G4double maxEnergy);
-
 private:
 
@@ -84,21 +83,3 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-inline G4double G4BraggNoDeltaModel::ComputeDEDXPerVolume(
-                            const G4Material* material,
-			    const G4ParticleDefinition* pd,
-                            G4double kinEnergy, G4double)
-{
-  G4double dedx = G4BraggIonModel::ComputeDEDXPerVolume(material, pd, kinEnergy, DBL_MAX);
-  return dedx;
-}
-
-inline G4double G4BraggNoDeltaModel::ComputeCrossSectionPerElectron(
-			    const G4ParticleDefinition*,
-			    G4double, G4double, G4double)
-{
-  return 0.0;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
 #endif
Index: trunk/source/processes/electromagnetic/highenergy/include/G4GammaConversionToMuons.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4GammaConversionToMuons.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4GammaConversionToMuons.hh	(revision 961)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GammaConversionToMuons.hh,v 1.2 2006/06/29 19:32:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //         ------------ G4GammaConversionToMuons physics process ------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4Vee2hadrons.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4Vee2hadrons.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4Vee2hadrons.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4Vee2hadrons.hh,v 1.3 2007/05/22 17:37:30 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4Vee2hadrons.hh,v 1.4 2008/07/10 18:06:38 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -63,5 +63,5 @@
 public:
 
-  G4Vee2hadrons() {};
+  G4Vee2hadrons() : lowEnergy(0.0), highEnergy(1.1*GeV) {};
 
   virtual ~G4Vee2hadrons() {};
@@ -76,5 +76,13 @@
 
   virtual void SampleSecondaries(std::vector<G4DynamicParticle*>*,
-                      G4double, const G4ThreeVector&) const = 0;
+				 G4double, const G4ThreeVector&) = 0;
+
+  void SetLowEnergy(G4double val) {lowEnergy = val;};
+
+  G4double LowEnergy() const {return lowEnergy;};
+
+  void SetHighEnergy(G4double val) {highEnergy = val;};
+
+  G4double HighEnergy() const {return highEnergy;};
 
 private:
@@ -84,4 +92,7 @@
   G4Vee2hadrons(const  G4Vee2hadrons&);
 
+  G4double lowEnergy;
+  G4double highEnergy;
+
 };
 
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeCrossSections.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeCrossSections.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeCrossSections.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4eeCrossSections.hh,v 1.2 2006/06/29 19:32:22 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4eeCrossSections.hh,v 1.3 2008/07/10 18:06:38 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -70,7 +70,13 @@
   G4double CrossSection3pi(G4double);
 
+  G4double CrossSectionPi0G(G4double);
+
+  G4double CrossSectionEtaG(G4double);
+
   G4double CrossSection2Kcharged(G4double);
 
   G4double CrossSection2Kneutral(G4double);
+
+  std::complex<G4double> DpRho(G4double e); 
 
 private:
@@ -95,10 +101,7 @@
   G4double WidthPhi(G4double e);
 
-  std::complex<G4double> DpRho(G4double e); 
-
   std::complex<G4double> DpOm(G4double e);
 
   std::complex<G4double> DpPhi(G4double e);
-
 
   // hide assignment operator
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadrons.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadrons.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadrons.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4eeToHadrons.hh,v 1.8 2007/05/23 08:50:41 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4eeToHadrons.hh,v 1.9 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -70,5 +70,5 @@
 
   // Print out of the class parameters
-  void PrintInfo();
+  virtual void PrintInfo();
 
   // Set the factor to artificially increase the crossSection (default 1)
@@ -77,5 +77,5 @@
 protected:
 
-  void InitialiseProcess(const G4ParticleDefinition*);
+  virtual void InitialiseProcess(const G4ParticleDefinition*);
 
 private:
@@ -92,12 +92,4 @@
 };
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4bool G4eeToHadrons::IsApplicable(const G4ParticleDefinition& p)
-{
-  return (&p == G4Positron::Positron());
-}
-
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsModel.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsModel.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4eeToHadronsModel.hh,v 1.6 2007/05/22 17:37:30 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4eeToHadronsModel.hh,v 1.7 2008/07/10 18:06:38 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -63,5 +63,5 @@
 public:
 
-  G4eeToHadronsModel(const G4Vee2hadrons*, G4int ver=0,
+  G4eeToHadronsModel(G4Vee2hadrons*, G4int ver=0,
                      const G4String& nam = "eeToHadrons");
 
@@ -69,6 +69,4 @@
 
   virtual void Initialise(const G4ParticleDefinition*, const G4DataVector&);
-
-  G4double PeakEnergy() const;
 
   virtual G4double CrossSectionPerVolume(const G4Material*,
@@ -99,4 +97,6 @@
   G4DynamicParticle* GenerateCMPhoton(G4double);
 
+  inline G4double PeakEnergy() const;
+
 private:
 
@@ -107,5 +107,5 @@
   G4eeToHadronsModel(const  G4eeToHadronsModel&);
 
-  const G4Vee2hadrons*  model;
+  G4Vee2hadrons*        model;
   G4ParticleDefinition* theGamma;
   G4PhysicsVector*      crossPerElectron;
@@ -133,26 +133,3 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-inline G4double G4eeToHadronsModel::CrossSectionPerVolume(
-				      const G4Material* mat,
-				      const G4ParticleDefinition* p,
-				      G4double kineticEnergy,
-				      G4double, G4double)
-{
-  return mat->GetElectronDensity()*
-    ComputeCrossSectionPerElectron(p, kineticEnergy);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4double G4eeToHadronsModel::ComputeCrossSectionPerAtom(
-                                      const G4ParticleDefinition* p,
-				      G4double kineticEnergy,
-				      G4double Z, G4double,
-				      G4double, G4double)
-{
-  return Z*ComputeCrossSectionPerElectron(p, kineticEnergy);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
 #endif
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsMultiModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsMultiModel.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsMultiModel.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4eeToHadronsMultiModel.hh,v 1.5 2007/05/23 08:50:41 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4eeToHadronsMultiModel.hh,v 1.7 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -59,4 +59,5 @@
 
 class G4eeCrossSections;
+class G4Vee2hadrons;
 
 class G4eeToHadronsMultiModel : public G4VEmModel
@@ -84,10 +85,4 @@
                                          G4double maxEnergy = DBL_MAX);
 
-  virtual G4double ComputeCrossSectionPerElectron(
-                                         const G4ParticleDefinition*,
-                                         G4double kineticEnergy,
-                                         G4double cutEnergy = 0.0,
-                                         G4double maxEnergy = DBL_MAX);
-
   virtual void SampleSecondaries(std::vector<G4DynamicParticle*>*,
 				 const G4MaterialCutsCouple*,
@@ -96,10 +91,18 @@
 				 G4double maxEnergy = DBL_MAX);
 
-  void PrintInfo();
+  virtual void PrintInfo();
 
   // Set the factor to artificially increase the crossSection (default 1)
   void SetCrossSecFactor(G4double fac);
 
+  inline G4double ComputeCrossSectionPerElectron(
+                                         const G4ParticleDefinition*,
+                                         G4double kineticEnergy,
+                                         G4double cutEnergy = 0.0,
+                                         G4double maxEnergy = DBL_MAX);
+
 private:
+
+  void AddEEModel(G4Vee2hadrons*);
 
   // hide assignment operator
@@ -128,27 +131,4 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-inline G4double G4eeToHadronsMultiModel::CrossSectionPerVolume(
-				      const G4Material* mat,
-				      const G4ParticleDefinition* p,
-				      G4double kineticEnergy,
-				      G4double, G4double)
-{
-  return mat->GetElectronDensity()*
-    ComputeCrossSectionPerElectron(p, kineticEnergy);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4double G4eeToHadronsMultiModel::ComputeCrossSectionPerAtom(
-                                      const G4ParticleDefinition* p,
-				      G4double kineticEnergy,
-				      G4double Z, G4double,
-				      G4double, G4double)
-{
-  return Z*ComputeCrossSectionPerElectron(p, kineticEnergy);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
 inline G4double G4eeToHadronsMultiModel::ComputeCrossSectionPerElectron(
                                       const G4ParticleDefinition*,
@@ -169,24 +149,3 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-inline 
-void G4eeToHadronsMultiModel::SampleSecondaries(std::vector<G4DynamicParticle*>* newp,
-						const G4MaterialCutsCouple* couple,
-						const G4DynamicParticle* dp,
-						G4double, G4double)
-{
-  G4double kinEnergy = dp->GetKineticEnergy();
-  if (kinEnergy > thKineticEnergy) {
-    G4double q = cumSum[nModels-1]*G4UniformRand();
-    for(G4int i=0; i<nModels; i++) {
-      if(q <= cumSum[i]) {
-        (models[i])->SampleSecondaries(newp, couple,dp);
-	if(newp->size() > 0) fParticleChange->ProposeTrackStatus(fStopAndKill);
-	break;
-      }
-    }
-  }
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
 #endif
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToTwoPiModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToTwoPiModel.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToTwoPiModel.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4eeToTwoPiModel.hh,v 1.3 2007/05/22 17:37:30 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4eeToTwoPiModel.hh,v 1.5 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -67,18 +67,16 @@
   virtual ~G4eeToTwoPiModel();
 
-  G4double ThresholdEnergy() const;
+  virtual G4double ThresholdEnergy() const;
 
-  G4double PeakEnergy() const;
+  virtual G4double PeakEnergy() const;
 
-  G4double ComputeCrossSection(G4double) const;
+  virtual G4double ComputeCrossSection(G4double) const;
 
-  G4PhysicsVector* PhysicsVector(G4double, G4double) const;
+  virtual G4PhysicsVector* PhysicsVector(G4double, G4double) const;
 
   virtual void SampleSecondaries(std::vector<G4DynamicParticle*>*,
-              G4double, const G4ThreeVector&) const;
+              G4double, const G4ThreeVector&);
 
 private:
-
-  void Initialise();
 
   // hide assignment operator
@@ -90,5 +88,4 @@
   G4double massPi;
   G4double massRho;
-  G4double highEnergy;
 
 };
@@ -96,25 +93,3 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-inline G4double G4eeToTwoPiModel::ThresholdEnergy() const
-{
-  return 2.0*massPi;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4double G4eeToTwoPiModel::PeakEnergy() const
-{
-  return massRho;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4double G4eeToTwoPiModel::ComputeCrossSection(G4double e) const
-{
-  G4double ee = std::min(GeV,e);
-  return cross->CrossSection2pi(ee);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
 #endif
Index: trunk/source/processes/electromagnetic/highenergy/include/G4hhIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4hhIonisation.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4hhIonisation.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4hhIonisation.hh,v 1.5 2007/05/23 08:50:41 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4hhIonisation.hh,v 1.6 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -69,8 +69,8 @@
   virtual ~G4hhIonisation();
 
-  G4bool IsApplicable(const G4ParticleDefinition& p);
+  virtual G4bool IsApplicable(const G4ParticleDefinition& p);
 
-  G4double MinPrimaryEnergy(const G4ParticleDefinition* p,
-			    const G4Material*, G4double cut);
+  virtual G4double MinPrimaryEnergy(const G4ParticleDefinition* p,
+				    const G4Material*, G4double cut);
 
   // Print out of the class parameters
@@ -104,25 +104,4 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4bool G4hhIonisation::IsApplicable(const G4ParticleDefinition& p)
-{
-  return (p.GetPDGCharge() != 0.0 && p.GetPDGMass() > 100.0*MeV &&
-	 !p.IsShortLived());
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4double G4hhIonisation::MinPrimaryEnergy(const G4ParticleDefinition*,
-						const G4Material*,
-						G4double cut)
-{
-  G4double x = 0.5*cut/electron_mass_c2;
-  G4double y = electron_mass_c2/mass;
-  G4double g = x*y + std::sqrt((1. + x)*(1. + x*y*y));
-  return mass*(g - 1.0);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
 #endif
Index: trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisation.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisation.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4mplIonisation.hh,v 1.5 2007/05/23 08:50:41 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4mplIonisation.hh,v 1.6 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -72,5 +72,5 @@
   virtual ~G4mplIonisation();
 
-  G4bool IsApplicable(const G4ParticleDefinition& p);
+  virtual G4bool IsApplicable(const G4ParticleDefinition& p);
 
   // Print out of the class parameters
@@ -94,12 +94,4 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4bool G4mplIonisation::IsApplicable(const G4ParticleDefinition& p)
-{
-  return (p.GetParticleName() == "monopole");
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
 #endif
Index: trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisationModel.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisationModel.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4mplIonisationModel.hh,v 1.6 2007/11/13 18:36:29 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4mplIonisationModel.hh,v 1.7 2009/02/20 16:38:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -120,30 +120,2 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline void G4mplIonisationModel::SampleSecondaries(std::vector<G4DynamicParticle*>*,
-						    const G4MaterialCutsCouple*,
-						    const G4DynamicParticle*,
-						    G4double,
-						    G4double)
-{}
-
-inline G4double G4mplIonisationModel::Dispersion(
-                          const G4Material* material,
-                          const G4DynamicParticle* dp,
-                                G4double& tmax,
-                                G4double& length)
-{
-  G4double siga = 0.0;
-  G4double tau   = dp->GetKineticEnergy()/mass;
-  if(tau > 0.0) { 
-    G4double electronDensity = material->GetElectronDensity();
-    G4double gam   = tau + 1.0;
-    G4double invbeta2 = (gam*gam)/(tau * (tau+2.0));
-    siga  = (invbeta2 - 0.5) * twopi_mc2_rcl2 * tmax * length
-      * electronDensity * chargeSquare;
-  }
-  return siga;
-}
-
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
